//---------------------------------------------------------------------------

#ifndef LinkedListUH
#define LinkedListUH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
	TMemo *Memo1;
	TEdit *Edit1;
	TButton *PushFront;
	TButton *ShowList;
	TButton *FindData;
	TButton *PushBack;
	TButton *InsertSorted;
	TButton *EraseNode;
	TButton *ClearList;
	TButton *PushFrontDll;
	TButton *ShowDllList;
	TGroupBox *GroupBox1;
	TGroupBox *GroupBox2;
	TButton *PushBackDll;
	TButton *EraseDllListnode;
	TButton *TestList;
	TButton *TestDll;
	void __fastcall PushFrontClick(TObject *Sender);
	void __fastcall ShowListClick(TObject *Sender);
	void __fastcall FindDataClick(TObject *Sender);
	void __fastcall InsertSortedClick(TObject *Sender);
	void __fastcall PushBackClick(TObject *Sender);
	void __fastcall ClearListClick(TObject *Sender);
	void __fastcall EraseNodeClick(TObject *Sender);
	void __fastcall PushFrontDllClick(TObject *Sender);
	void __fastcall ShowDllListClick(TObject *Sender);
	void __fastcall EraseDllListnodeClick(TObject *Sender);
	void __fastcall PushBackDllClick(TObject *Sender);
	void __fastcall TestListClick(TObject *Sender);
	void __fastcall TestDllClick(TObject *Sender);
private:	// Benutzer-Deklarationen
public:		// Benutzer-Deklarationen
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
